<script>
	export let id="slider_component";
	export let titleText="";
	export let value;
	export let oninput = function() {};
</script>

<div class="textinput">
<label for={id}>{titleText}</label>
<input id={id} type='text' bind:value={value}/>
</div>

<style>
	div.textinput{
		padding: 2px;
	}

	label{
		display: inline;
		font-size: 10pt;
		margin: 2px;
		padding: 0px;
	}

	input[type="text"]{
		width: 194px;
		height: 25px;
		text-align: left;
		vertical-align: top;
		padding: 4px;
		margin: 0px;
		border-width: 1px;
		border-radius: 5px;
		font-size: 10pt;
		background: #fff;
	}

</style>
